import request from '@/utils/request'

// 模块卷批量删除
export function moduleVolumeBatchDel(data) {
    return request({
        url: `/bank/module/batch/del`,
        method: 'post',
        data
    })
}

// 章批量删除
export function chapterVolumeBatchDel(data) {
    return request({
        url: `/bank/chapter/batch/del`,
        method: 'post',
        data
    })
}


// 试卷批量删除
export function paperBatchDel(data) {
    return request({
        url: `/bank/exam/batch/del`,
        method: 'post',
        data
    })
}

// 题目批量删除
export function questionBatchDel(data) {
    return request({
        url: `/bank/question/batch/del`,
        method: 'post',
        data
    })
}

// 知识点列表
export function knowledgeList(query) {
    return request({
        url: `/exam/knowledge/list`,
        method: 'get',
        params: query
    })
}